Insights
POST
application/json- body
accountId?stringcampaign?stringeventId?stringeventType*stringOne of the beacon allowlist: event.viewed, checkout.started, credential.viewed, credential.shared, outbound.clicked.
identityScope?stringlandingHost?stringmedium?stringnavigationId?stringorderId?stringorganizationId*stringOwning Organization id.
participantId?stringreferrerHost?stringsessionId?stringsource?stringvisitorId?stringOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
Format
uriaccepted*booleancurl -X POST 'https://example.com/api/v1/analytics/collect' \ -H 'Content-Type: application/json' \ -d '{ "eventType": "string", "organizationId": "string"}'Example Response
{ "$schema": "https://example.com/schemas/CollectOutputBody.json", "accepted": true}GET
organization_id*stringOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
Format
urigettingStarted?percentages?registrations?revenue?traffic?upcoming?array<>|nullcurl -X GET 'https://example.com/api/v1/organizations/string/dashboard'Example Response
{ "$schema": "https://example.com/schemas/DashboardView.json", "gettingStarted": { "firstCheckIn": true, "firstEventPublished": true, "firstPayout": true, "firstRegistration": true, "organizationSetup": true, "paidPassSetup": true, "teamInvited": true }, "percentages": { "capacitySold": { "denominator": 0, "numerator": 0 }, "conversion": { "all": { "denominator": 0, "numerator": 0 }, "today": { "denominator": 0, "numerator": 0 }, "week": { "denominator": 0, "numerator": 0 } }, "turnout": { "denominator": 0, "numerator": 0 } }, "registrations": { "daily": [ { "day": "string", "value": 0 } ], "today": 0, "total": 0 }, "revenue": { "daily": [ { "day": "string", "value": 0 } ], "today": 0, "total": 0 }, "traffic": { "daily": [ { "day": "string", "value": 0 } ], "today": 0, "total": 0 }, "upcoming": [ { "category": "string", "eventId": "string", "name": "string", "participants": 0, "participationMode": "string", "slug": "string", "startAt": "string", "timezone": "string" } ]}GET
organization_id*stringkind?stringsources, categories, or events.
period?stringtoday, 7d, 30d, or all.
Default
"30d"OK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
Format
uriitems*array<>|nullcurl -X GET 'https://example.com/api/v1/organizations/string/insights/breakup'Example Response
{ "$schema": "https://example.com/schemas/BreakupOutputBody.json", "items": [ { "count": 0, "key": "string", "label": "string", "revenueMinor": 0 } ]}GET
organization_id*stringeventId?stringScope the overview to one Event.
eventGroupId?stringScope the overview to an EventGroup's Events.
eventSeriesId?stringScope the overview to an EventSeries' Events.
days?integerTrailing window in days; 0 means all time.
Format
int64Default
30OK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
Format
uriattendanceFunnel?attribution?array<>|nullmarketingFunnel?period*sales?topEvents?array<>|nulltraffic?trend?array<>|nullcurl -X GET 'https://example.com/api/v1/organizations/string/insights/overview'Example Response
{ "$schema": "https://example.com/schemas/OverviewView.json", "attendanceFunnel": { "key": "string", "stages": [ { "count": 0, "key": "string" } ] }, "attribution": [ { "confirmed": 0, "grossMinor": 0, "medium": "string", "source": "string" } ], "marketingFunnel": { "key": "string", "stages": [ { "count": 0, "key": "string" } ] }, "period": { "from": "string", "to": "string" }, "sales": { "aovMinor": 0, "confirmedCount": 0, "freeCount": 0, "money": { "currency": "string", "feeMinor": 0, "grossMinor": 0, "netMinor": 0, "taxMinor": 0 }, "previous": { "aovMinor": 0, "confirmedCount": 0, "grossMinor": 0, "netMinor": 0 } }, "topEvents": [ { "confirmed": 0, "eventId": "string", "eventName": "string", "grossMinor": 0 } ], "traffic": { "sources": [ { "medium": "string", "source": "string", "viewCount": 0, "visitorCount": 0 } ], "views": 0, "visitors": 0 }, "trend": [ { "confirmed": 0, "day": "string", "grossMinor": 0, "netMinor": 0 } ]}